<?xml version="1.0" encoding="UTF-8"?>
<system name="IS inertial system">
 <!-- Инерциальная система ИС -->


 <!-- TODO Temporary, because there is nothing to do for 30 min. -->
 <property value="1">simulation/settings/IS-fast-align</property>


 <!-- XXX There are 3 of these, only 1 is modeled. -->


 <property>fcs/NPK/instr/UUT/button/test</property>
 <!-- Maximum pitch: 0..19 deg. -->
 <property value="11.0">fcs/NPK/instr/UUT/pot/theta_max-deg</property>


 <channel name="Status" execrate="8">

  <switch name="fcs/NPK/IS/status/on">
   <default value="1"/>
   <test logic="AND" value="0">
    fcs/NPK/elec/AC36-ok EQ 0
   </test>
   <test logic="AND" value="0">
    fcs/NPK/status/prepare EQ 0
    fcs/NPK/status/run EQ 0
   </test>
  </switch>

  <fcs_function name="fcs/NPK/IS/status/func/ready-inp">
   <function>
    <product>
     <difference>
      <p>fcs/NPK/IS/status/on</p>
      <p>fcs/NPK/IS/status/func/ready-norm</p>
     </difference>
     <v>10.0</v>
    </product>
   </function>
   <clipto>
    <min>-1.0</min>
    <max>1.0</max>
   </clipto>
  </fcs_function>

  <switch name="fcs/NPK/IS/status/func/ready-c1">
   <!-- 1800 s-->
   <default value="0.000556"/>
   <test value="1.0">
    simulation/init-hotstart-avionics NE 0
   </test>
   <!-- 30 s-->
   <test value="0.0333">
    simulation/settings/IS-fast-align NE 0
   </test>
  </switch>

  <integrator name="fcs/NPK/IS/status/func/ready-norm">
   <input>fcs/NPK/IS/status/func/ready-inp</input>
   <c1>fcs/NPK/IS/status/func/ready-c1</c1>
  </integrator>

  <switch name="fcs/NPK/IS/status/ready">
   <!-- TODO affected by BKK. -->
   <output>fcs/NPK/instr/PKP/flag/horizon</output>
   <default value="fcs/NPK/IS/status/on"/>
   <test logic="AND" value="0">
    fcs/NPK/IS/status/func/ready-norm LT 0.9
    simulation/init-hotstart-avionics EQ 0
   </test>
  </switch>

  <switch name="fcs/NPK/IS/status/test">
   <default value="fcs/NPK/IS/status/test"/>
   <test logic="OR" value="0">
    fcs/NPK/status/prepare EQ 0
    fcs/NPK/IS/status/ready EQ 0
   </test>
   <test value="0">
    fcs/NPK/panel/PIK/button/IS-test NE 0
    fcs/NPK/IS/status/func/test-latch NE 0
   </test>
   <test value="1">
    fcs/NPK/panel/PIK/button/IS-test NE 0
    fcs/NPK/IS/status/func/test-latch EQ 0
   </test>
  </switch>

  <switch name="fcs/NPK/IS/status/func/test-latch">
   <default value="fcs/NPK/IS/status/test"/>
   <test value="fcs/NPK/IS/status/func/test-latch">
    fcs/NPK/panel/PIK/button/IS-test NE 0
   </test>
  </switch>

 </channel>


 <channel name="MGV slow" execrate="8">

  <switch name="fcs/NPK/IS/MGV/func/theta-err-deg">
   <default value="fcs/NPK/IS/MGV/func/theta-err-deg"/>
   <test value="0.0">
    simulation/init-hotstart-avionics NE 0
   </test>
   <test logic="OR" value="accelerations/pendulum-pitch-error-deg">
    fcs/NPK/IS/status/on EQ 0
    fcs/NPK/status/init NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/IS/MGV/func/gamma-err-deg">
   <default value="fcs/NPK/IS/MGV/func/gamma-err-deg"/>
   <test value="0.0">
    simulation/init-hotstart-avionics NE 0
   </test>
   <test logic="OR" value="accelerations/pendulum-roll-error-deg">
    fcs/NPK/IS/status/on EQ 0
    fcs/NPK/status/init NE 0
   </test>
  </switch>

 </channel>


 <channel name="MGV">

  <!-- Based on Малогабаритная гировертикаль МГВ-1СК -->
  <!-- TODO Match errors to [022.10.02 p. 1] ([ABSU 2 pdf p. 295]) -->

  <fcs_function name="fcs/NPK/IS/MGV/func/theta-deg">
   <function>
    <!-- Triangle wave -90..90 -->
    <product>
     <asin>
      <sin>
       <product>
        <sum>
         <p>attitude/theta-deg</p>
         <p>fcs/NPK/IS/MGV/func/theta-err-deg</p>
        </sum>
        <!-- = 2 * pi / 360 -->
        <v>0.0175</v>
       </product>
      </sin>
     </asin>
     <!-- = 2 * 90 / pi -->
     <v>57.2975</v>
    </product>
   </function>
  </fcs_function>

  <!-- SIC Pitch offset knob is set via FG tree, because that is cheaper, and avoids animation smoothing property rule. -->
  <switch name="fcs/NPK/IS/MGV/theta-deg">
   <output>fcs/NPK/instr/PKP/gauge/theta-deg</output>
   <default value="fcs/NPK/IS/MGV/func/theta-deg"/>
   <test value="0.0">
    fcs/NPK/IS/status/on EQ 0
   </test>
   <test value="fcs/NPK/IS/MGV/theta-deg">
    fcs/NPK/IS/status/ready EQ 0
   </test>
   <test value="15.0">
    fcs/NPK/IS/status/test NE 0
   </test>
   <clipto><min>-60.0</min><max>60.0</max></clipto>
  </switch>

  <summer name="fcs/NPK/IS/MGV/func/gamma-deg">
   <input>attitude/phi-deg</input>
   <input>fcs/NPK/IS/MGV/func/gamma-err-deg</input>
   <clipto type="cyclic">
    <min>-180.0</min>
    <max>180.0</max>
   </clipto>
  </summer>

  <switch name="fcs/NPK/IS/MGV/gamma-deg">
   <output>fcs/NPK/instr/PKP/gauge/gamma-deg</output>
   <default value="fcs/NPK/IS/MGV/func/gamma-deg"/>
   <test value="0.0">
    fcs/NPK/IS/status/on EQ 0
   </test>
   <test value="-45.0">
    fcs/NPK/IS/status/ready EQ 0
    fcs/NPK/IS/MGV/gamma-deg LE 0.0
   </test>
   <test value="45.0">
    fcs/NPK/IS/status/ready EQ 0
    fcs/NPK/IS/MGV/gamma-deg GT 0.0
   </test>
   <test value="15.0">
    fcs/NPK/IS/status/test NE 0
   </test>
   <clipto><min>-180.0</min><max>180.0</max></clipto>
  </switch>

 </channel>


 <channel name="Gauges" execrate="2">

  <switch name="fcs/NPK/instr/UUT/gauge/theta-deg">
   <default value="fcs/NPK/IS/MGV/theta-deg"/>
   <test value="attitude/theta-deg">
    simulation/init NE 0
   </test>
   <test value="fcs/NPK/instr/UUT/gauge/theta-deg">
    fcs/NPK/IS/status/on EQ 0
   </test>
   <test value="15.0">
    fcs/NPK/instr/UUT/button/test NE 0
   </test>
   <clipto>
    <min>0.0</min>
    <max>19.0</max>
   </clipto>
  </switch>

 </channel>


 <channel name="Lights" execrate="4">

  <switch name="fcs/NPK/panel/PIK/light/IS-test">
   <default value="fcs/NPK/IS/status/test"/>
   <test value="fcs/NPK/IS/status/on">
    fcs/NPK/ABSU/status/test-lights NE 0
   </test>
  </switch>

  <switch name="fcs/NPK/panel/light/IS-fault[0]">
   <output>fcs/NPK/panel/light/IS-fault[1]</output>
   <output>fcs/NPK/panel/light/IS-fault[2]</output>
   <output>fcs/NPK/instr/UUT/light/fault</output>
   <output>fcs/NPK/panel/light/AH-noreserve[0]</output>
   <output>fcs/NPK/panel/light/AH-noreserve[1]</output>
   <default value="0"/>
   <test logic="OR" value="fcs/NPK/IS/status/on">
    fcs/NPK/ABSU/status/test-lights NE 0
    fcs/NPK/IS/status/ready EQ 0
   </test>
  </switch>

 </channel>


</system>
